var myScroll;
var listScroll;
var maxScrollY = 0;
var direction = null;
var loading = false;

var carTypeId = null;
var weightRange = null;
var loadingTime = null;
function loaded () {
	initDate();
	myScroll = new IScroll('.title-left', { scrollX: true, scrollY: false, mouseWheel: true });
	listScroll = new IScroll('.list-scroll', {  probeType: 3,scrollX: false, scrollY: true, mouseWheel: true });
	listScroll.on('scroll', update);
	listScroll.on('scrollEnd', end);
	listScroll.on('beforeScrollStart', start);
	//设置装货日期事件监听
	window.addEventListener("setDate", function(event){
		//通过event.detail可获得传递过来的参数内容
		var result = event.detail;
		$(".ul-css li").removeClass("active").removeClass("show-active");
		$(".ul-css li[data-date='"+result.date+"']").addClass("show-active").addClass("active");
		myScroll.scrollToElement(document.querySelector('.show-active'), null, null, true);
		var curPage = 0;
		var params = {};
		params.startRow = $.getStartRow(curPage);
		params.getPageSize = $.getPageSize();
		params.loadingTime = result.date;
		if(!$.validateEmpty(carTypeId)){
			params.carType = carTypeId;	
		}
		if(!$.validateEmpty(weightRange)){
			params.weightRange = weightRange;	
		}
		var sort = $(".weight-sort").data("sort");
		if(!$.validateEmpty(sort)){
			params.sort = {};
			params.sort.weight = sort;
		}
		initList(params, 0);
	}, false);
	/*var windowH = $(window).height();
	$(".list-scroll ul").css("min-height", windowH - 155);*/
	
	window.addEventListener("screen", function(event){
		//通过event.detail可获得传递过来的参数内容
		var result = event.detail;
		var parameter = {};
		carTypeId = result.carTypeId;
		weightRange = result.weight;
		var loadingTime = null;
		var timeList = $("#scroller li");
		$.each(timeList, function(index, element){
			if($(element).hasClass("active")){
				loadingTime = $(element).data("date");
				parameter.loadingTime = loadingTime;
				return false;
			}  
		});
		parameter.carType = carTypeId;
		parameter.weightRange = weightRange;
		curPage = 0;
		parameter.startRow = $.getStartRow(curPage);
		parameter.pageSize = $.getPageSize();
		parameter.originId = 1;
		var sort = $(".weight-sort").data("sort");
		if(!$.validateEmpty(sort)){
			parameter.sort = {};
			parameter.sort.weight = sort;
		}
		console.log(JSON.stringify(parameter));
		initList(parameter, 0);
	}, false);
	
}
//滑动中
function update() {
	if(this.y >= 0){
		direction = "down";
		$(".pull-up").hide();
	} else{
		direction = "up";
		$(".pull-up").show();
	}
	if(direction == "down"){
		if(this.y >= 40){
			this.minScrollY = 40;
			$(".drop-down").text(tips.release_loading);
			loading = false;			
		} else{
			this.minScrollY = 0;
			loading = true;
			$(".drop-down").text(tips.pull_down_refresh);
		}
	} else if(direction == "up"){
		if(this.pointY < 0){
			listScroll.refresh();
		}
		if(-this.y > (-maxScrollY + 40)){
			$(".pull-up").text(tips.release_loading);
			this.maxScrollY = maxScrollY - 40;
			loading = false;
		} else{
			loading = true;
			this.maxScrollY = maxScrollY;
			$(".pull-up").text(tips.pull_up_loading);
		}
	}
}
//滑动结束
function end(){
	if(direction == "down" && loading == false){
		loading = true;
		$(".drop-down").text(tips.loading);
		var params = {};
		curPage = 0;
		params.startRow = $.getStartRow(curPage);
		params.pageSize = $.getPageSize();
		loadingTime = $("#scroller").find(".active").data("date");
		params.loadingTime = loadingTime;
		params.originId = 1;
		
		if(!$.validateEmpty(carTypeId)){
			params.carType = carTypeId;	
		}
		if(!$.validateEmpty(weightRange)){
			params.weightRange = weightRange;	
		}
		var sort = $(".weight-sort").data("sort");
		if(!$.validateEmpty(sort)){
			params.sort = {};
			params.sort.weight = sort;
		}
		$.postAjax(url, params, {'Content-Type':'application/json'}, function(result){
			var list = result.data;
			$(".drop-down").text(tips.pull_down_refresh);
			loading = false;
			handler(list, 0);
			listScroll.refresh();
		}, function(message){
			$(".drop-down").text(tips.pull_down_refresh);
			loading = false;
			listScroll.refresh();
		});
	} else if(direction == "up" && loading == false){
		loading = true;
		$(".pull-up").text(tips.loading);
		var params = {};
		params.startRow = $.getStartRow(++curPage);
		params.pageSize = $.getPageSize();
		loadingTime = $("#scroller").find(".active").data("date");
		params.loadingTime = loadingTime;
		params.originId = 1;
		if(!$.validateEmpty(carTypeId)){
			params.carType = carTypeId;	
		}
		if(!$.validateEmpty(weightRange)){
			params.weightRange = weightRange;	
		}
		var sort = $(".weight-sort").data("sort");
		if(!$.validateEmpty(sort)){
			params.sort = {};
			params.sort.weight = sort;
		}
		$.postAjax(url, params, {'Content-Type':'application/json'}, function(result){
			var list = result.data;
			$(".pull-up").text(tips.pull_up_loading);
			loading = false;
			handler(list, 1);
			listScroll.refresh();
			$(".pull-up").hide();
		}, function(message){
			$(".pull-up").text(tips.pull_up_loading);
			loading = false;
			listScroll.refresh();
			$(".pull-up").hide();
		});
	}
}

//滑动开始
function start(){
	maxScrollY = this.maxScrollY;
}
document.addEventListener('touchmove', function (e) { e.preventDefault(); }, isPassive() ? {
	capture: false,
	passive: false
} : false);

/**
 * 初始化日期
 */
function initDate(){
	var array = new Array();
	var date = new Date();
	var year = date.getFullYear();
	var month = date.getMonth() + 1;
	var day = date.getDate();
	var len = 0;
	for(var i = month;i <= 12;i++){
		var beginIndex = 1;
		if(i == month){
			beginIndex = day;
		}
		var count = getCountDay(year, i);
		if(i < 10){
			i = "0" + i;
		}
		for(var j = beginIndex;j <= count;j++){
			++len;
			if(j < 10){
				j = "0" + j;
			}
			var gregorianCalendar = (i + "-" + j);//阳历
			var week = getWeekDay(year, i, j);
			if(week == "1"){
				week = "周一";
			} else if(week == "2"){
				week = "周二";
			} else if(week == "3"){
				week = "周三";
			} else if(week == "4"){
				week = "周四";
			} else if(week == "5"){
				week = "周五";
			} else if(week == "6"){
				week = "周六";
			} else if(week == "7"){
				week = "周日";
			}
			$("#scroller").append("<li data-date='" + (year + "-" + gregorianCalendar) + "'></li>");
			$("#scroller li:last").append("<label>"+ week +"</label>");
			$("#scroller li:last").append("<label>"+ gregorianCalendar +"</label>");
		}
	}
	$("#scroller").find("li:last").css("border", "0");
	$("#scroller").css("width" , (len * 50 + 20) + "px");
	
//	$("#scroller li:first").addClass("active");
}

/**
 * 获取某个月一共有多少天
 * @param {Object} year 年
 * @param {Object} month 月
 */
function getCountDay(year, month){
	//我们在构造日期对象时，4其实是实际构造的5月份，因为月份是从0开始的。
	//而第三个数0天数，要求最小是1号，比1号小的话，就成了你要的3月最后那一天了
	var date = new Date(year, month, 0);
	return date.getDate();
}

/**
 * 获取某个日期是星期几
 * @param {Object} year 年
 * @param {Object} month 月
 * @param {Object} date 日
 */
function getWeekDay(year, month, date){
	var date = new Date(year, month - 1, date);
	if(date.getDay() == 0){
		return 7;
	} else{
		return date.getDay();
	}
}

$(function(){
	
	$(".recommend-info").on("tap", "li", function(){
		var token = $.getToken();
		if($.validateEmpty(token)){
			$.toast("请先登录后再查看详情");
			return false;
		}
		var $this = $(this);
		var carSourceId = $this.data("id");
		mui.openWindow({
			id:"car-source-detail.html",
			url:"car-source-detail.html",
			extras:{
				carSourceId:carSourceId
			}
		});
	});
	
	$(".title-right").on("tap", function(){
		mui.openWindow({
			id:"calendar.html",
			url:"../../html/calendar/calendar.html",
			extras:{
				sourceId:"car-list.html"
			}
		});
	});
	
	$("#scroller").on("tap", "li", function(){
		$("#scroller li").removeClass("active");
		$(this).addClass("active");
		var loadingTime = $(this).data("date");
		var params = {};
		var curPage = 0;
		params.startRow = $.getStartRow(curPage);
		params.pageSize = $.getPageSize();
		params.loadingTime = loadingTime;
		if(!$.validateEmpty(carTypeId)){
			params.carType = carTypeId;	
		}
		if(!$.validateEmpty(weightRange)){
			params.weightRange = weightRange;	
		}
		var sort = $(".weight-sort").data("sort");
		if(!$.validateEmpty(sort)){
			params.sort = {}; 
			params.sort.weight = sort;
		}
		initList(params, 0);
	});
});


var curPage = 0;
var url = base.api_carSource_findCarSource;
document.addEventListener("plusready", function(){
	var curWebView = plus.webview.currentWebview();
	var params = {};
	params.startRow = $.getStartRow(curPage);
	params.pageSize = $.getPageSize();
	params.beginArea = curWebView.beginArea;
	params.endArea  = curWebView.endArea;
	params.loadingTime = curWebView.loadingTime;
	params.carType = curWebView.carType;
	initList(params, 0);
	
	
	$(".weight-sort").on("tap", function(){
		var $this = $(this);
		var params = {};
		params.startRow = $.getStartRow(curPage);
		params.pageSize = $.getPageSize();
		var loadingTime = null;
		var timeList = $("#scroller li");
		$.each(timeList, function(index, element){
			if($(element).hasClass("active")){
				loadingTime = $(element).data("date");
				params.loadingTime = loadingTime;
				return false;
			}    
		});
		if(!$.validateEmpty(carTypeId)){
			params.carType = carTypeId;	
		}
		if(!$.validateEmpty(weightRange)){
			params.weightRange = weightRange;	
		}
		var sort = $this.data("sort");
		params.sort = {};
		if($.validateEmpty(sort) || sort == "asc"){
			$this.data("sort", "desc");
			$this.find("label").css("color", "#2c68f2");
			$this.find("label").eq(1).text("从高到低");
			$this.find("label").eq(0).find("img").attr("src", "../../images/car/ton-blue.png");
			params.sort.weight = "desc";
		} else if(sort == "desc"){
			$this.data("sort", "asc");
			params.sort.weight = "asc";
			$this.find("label").eq(1).text("从低到高");
		}
		console.log(JSON.stringify(params) + "==============");
		initList(params, 0);
	});
	
}, false);


/**
 * 列表初始化
 * @param {Object} params 请求参数
 * @param {Object} action 0表示清除列表然后重新append  1表示列表追加
 */
function initList(params, action){
	params.originId = 1;
	$.postAjax(url, params, {'Content-Type':'application/json'}, function(result){
		var list = result.data;
		handler(list, action);
		if(listScroll == null){
			setTimeout(function(){
				listScroll.refresh();	
			}, 2000);
		} else{
			listScroll.refresh();	
		}
		
		
	});
}


function handler(list, action){
	if(action == 0){
		$(".recommend-info ul").empty();	
	}
	if(list.length == 0){
		if($(".recommend-info ul").find(".no-data").length == 0){
			$(".recommend-info ul").append("<li class='no-data'>" + tips.no_more_data + "</li>");	
		}
		return false;
	}
	$.each(list, function(index, element){
		var $this = element;
		var html = "<li data-id='" + $this.id + "'>";
		html += "<div class='main-info'><span class='float-left main-info-area'>";
		html += $this.begin_area_name;
		html += "<span class='mui-icon mui-icon-arrowthinright'></span>";
		html += $this.end_area_name;
		html += "</span>";
		html += "<span class='float-right main-info-price'>" + $this.weight + "吨</span></div>";
		html += "<div class='sub-info'><span class='float-left main-info-message'>";
		html += $this.send_type_name + "/" + $this.car_type_name + "/" + $this.car_length + "米";
		html += "</span><span class='float-right main-info-time'>";
		html += $this.loading_time + "装车</span></div>";
		html += "<div class='footer'><label>随到随装</label><label>随到随装</label><label>随到随装</label></div>";
		html += "</li>";
		$(".recommend-info ul").append(html);
	});
}





