var listScroll;
var maxScrollY = 0;
var direction = null;
var loading = false;
function loaded () { 
	listScroll = new IScroll('.list-scroll', {  probeType: 3,scrollX: false, scrollY: true, mouseWheel: true });
	listScroll.on('scroll', update);
	listScroll.on('scrollEnd', end);
	listScroll.on('beforeScrollStart', start);
	
	window.addEventListener("refresh", function(event){
		var curWebView = plus.webview.currentWebview();
		curWebView.reload(true);
	}, false);
	
}
//滑动中
function update() {
	if(this.y >= 0){
		direction = "down";
		$(".pull-up").hide();
	} else{
		direction = "up";
		$(".pull-up").show();
	}
	if(direction == "down"){
		if(this.y >= 40){
			this.minScrollY = 40;
			$(".drop-down").text(tips.release_loading);
			loading = false;			
		} else{
			this.minScrollY = 0;
			loading = true;
			$(".drop-down").text(tips.pull_down_refresh);
		}
	} else if(direction == "up"){
		if(-this.y > (-maxScrollY + 40)){
			$(".pull-up").text(tips.release_loading);
			this.maxScrollY = maxScrollY - 40;
			loading = false;
		} else{
			loading = true;
			this.maxScrollY = maxScrollY;
			$(".pull-up").text(tips.pull_up_loading);
		}
	}
}
//滑动结束
function end(){
	if(direction == "down" && loading == false){
		loading = true;
		$(".drop-down").text(tips.loading);
		var params = {};
		curPage = 0;
		params.startRow = $.getStartRow(curPage);
		params.pageSize = $.getPageSize();
		params.originId = 2;
		$.postAjax(url, params, {'Content-Type':'application/json'}, function(result){
			var list = result.data;
			$(".drop-down").text(tips.pull_down_refresh);
			loading = false;
			handler(list, 0);
			listScroll.refresh();
		}, function(message){
			$(".drop-down").text(tips.pull_down_refresh);
			loading = false;
			listScroll.refresh();
		});
	} else if(direction == "up" && loading == false){
		loading = true;
		$(".pull-up").text("加载中....");
		var params = {};
		params.startRow = $.getStartRow(++curPage);
		params.pageSize = $.getPageSize();
		params.originId = 2;
		$.postAjax(url, params, {'Content-Type':'application/json'}, function(result){
			var list = result.data;
			$(".pull-up").text(tips.pull_up_loading);
			loading = false;
			handler(list, 1);
			listScroll.refresh();
			$(".pull-up").hide();
		}, function(message){
			$(".pull-up").text(tips.pull_up_loading);
			loading = false;
			listScroll.refresh();
			$(".pull-up").hide();
		});
	}
}

//滑动开始
function start(){
	maxScrollY = this.maxScrollY;
}
document.addEventListener('touchmove', function (e) { e.preventDefault(); }, isPassive() ? {
	capture: false,
	passive: false
} : false);


var curPage = 0;
var url = base.api_carSource_findCarSource;

document.addEventListener("plusready",function(){
	var params = {};
	params.startRow = $.getStartRow(curPage);
	params.pageSize = $.getPageSize();
	initList(params, 0);
	
	$(".recommend-info").on("tap", ".delete-car-source", function(event){
		event.stopPropagation();
		var $this = $(this);
		var status = $this.parent().parent().data("status");
		var statusName = $this.parent().parent().data("statusname");
		if(status != 1){
			$.toast(statusName + "状态不允许删除");
			return false;
		}
		var btnArray = ['否','是'];
		mui.confirm("是否要删除该车源?", "提示", btnArray, function(e){
			var index = e.index;
			if(index == 1){
				var carSourceId = $this.parent().parent().data("id"); 
				deleteCarSource(carSourceId);
			}
		});
	});
	
	$(".recommend-info").on("tap", ".update-car-source", function(event){
		event.stopPropagation();
		var $this = $(this);
		var carSourceId = $this.parent().parent().data("id");
		var status = $this.parent().parent().data("status");
		var statusName = $this.parent().parent().data("statusname");
		if(status != 1){
			$.toast(statusName + "状态不允许修改");
			return false;
		}
		mui.openWindow({ 
			id:"publish-car.html",
			url:"../../html/car/publish-car.html",
			extras:{
				carSourceId:carSourceId
			}
		});
	});
	
	$(".publish-car-source").on("tap", function(){
		mui.openWindow({ 
			id:"publish-car.html",
			url:"../../html/car/publish-car.html"
		});
	});
	
	
	$(".recommend-info").on("tap", "li", function(){
		var $this = $(this);
		var id = $this.data("id");
		mui.openWindow({
			id:"car-source-detail.html",
			url:"../../html/car/car-source-detail.html",
			extras:{ 
				carSourceId:id
			}
		});
	});
	
	$(".recommend-info").on("tap", ".show-order-info", function(event){
		event.stopPropagation();
		var $this = $(this);
		var orderId = $this.data("orderid");
		mui.openWindow({
			id:"order-detail.html",
			url:"../../html/order/order-detail.html",
			extras:{
				orderId:orderId
			}
		});
	});
	
}, false);


function deleteCarSource(carSourceId){
	var url = base.api_carSource_deleteCarSource;
	var params = {};
	params.carSourceId = carSourceId;
	$.getAjax(url, params, {}, function(result){
		$.toast("删除车源成功");
		var curWebView = plus.webview.currentWebview();
		curWebView.reload(true);
	});
}



/**
 * 列表初始化
 * @param {Object} params 请求参数
 * @param {Object} action 0表示清除列表然后重新append  1表示列表追加
 */
function initList(params, action){
	params.originId = 2;
	$.postAjax(url, params, {'Content-Type':'application/json'}, function(result){
		var list = result.data;
		handler(list, action);
		if(listScroll == null){
			setTimeout(function(){
				listScroll.refresh();
			},2000);	
		} else{
			listScroll.refresh();
		}
		
	});
}


function handler(list, action){
	if(action == 0){
		$(".recommend-info ul").empty();	
	}
	if(list.length == 0){
		if($(".recommend-info ul").find(".no-data").length == 0){
			$(".recommend-info ul").append("<li class='no-data'>"+ tips.no_more_data +"</li>");	
		}
		return false;
	}
	$.each(list, function(index, element){
		var $this = element;
		var html = "<li data-id='" + $this.id + "' data-status='" + $this.status + "' data-statusname='"+$this.status_name+"'>";
		html += "<div class='title'><label class='publish-data'>发布于&nbsp;&nbsp;";
		html += $this.create_time + "</label><label class='car-source-status'>" + $this.status_name + "</label></div>";
		html += "<div class='content'><div class='content-left'><img src='../../images/car/car-source-icon.png'></div>";
		html += "<div class='content-right'><div class='area'>";
		html += $this.begin_area_name + "<span class='mui-icon mui-icon-arrowthinright'></span>";	
		html += $this.end_area_name + "</div>";	
		if(!$.validateEmpty($this.channel_name)){
			html += "<div class='road'>" + $this.channel_name + "</div>";	
		}
		html += "<div class='message'>" + $this.car_type_name + "/" + $this.car_length + "米/" + $this.weight + "吨</div>";
		html += "<div class='time'>" + $this.loading_time + "&nbsp;发车</div>";
		html += "</div></div>";
		html += "<div class='footer'>";
		if($this.status == carSourceStatus.PendingOrder.value){
			html += "<a href='#' class='update-car-source'>修改车源</a>";
			html += "<a href='#' class='delete-car-source'>删除车源</a>";	
		} else{
			html += "<a href='#' class='show-order-info' data-orderid = '"+$this.order_id+"'>查看订单</a>";
		}
		html += "</div>";     
		html += "</li>";  
		$(".recommend-info ul").append(html);
	});
}





