$(function(){
	//添加途径地事件
	$(".add-path").on("tap", function(){
		appendHtml(null, null);
	});
	
	//删除途径地事件
	$(".ul-css").on("tap", ".road-area", function(){
		$(".add-path").show();
		$(this).parents(".road-area-li").remove();
		$.each($(".road-area-li"), function(index, element){
			$(element).data("id", "road" + index);
		});
	});
	
	//装货日期点击事件
	$("#loadingTime").on("tap", function(){
		mui.openWindow({
			id:"calendar.html",
			url:"../../html/calendar/calendar.html",
			extras:{
				sourceId:"publish-car.html"
			}
		});
	});
	
	//车辆类型点击事件
	$("#carType").on("tap", function(){
		mui.openWindow({
			id:"car-type-list.html",
			url:"car-type-list.html",
			extras:{
				sourceId:"publish-car.html"
			}
		});
	});
	
	var userPicker = new mui.PopPicker();
	userPicker.setData([{
		value: '2',
		text: '零担'
	}, {
		value: '1',
		text: '整车'
	}]);
	
	//运输类型点击事件
	$(".sendType").on("tap", function(){
		var $this = $(this);
		userPicker.show(function(items) {
			var obj = items[0];
			$this.data("id", obj.value);
			$this.val(obj.text);
			var result = validator();
			if(result.code == 200){
				$("#publish-car-btn").removeClass("main-btn-color-off").addClass("main-btn-color-on");
			} else{
				$("#publish-car-btn").removeClass("main-btn-color-on").addClass("main-btn-color-off");
			}
			//返回 false 可以阻止选择框的关闭
			//return false;
		});
	});
	

	$(".ul-css").on("tap", "#startArea,#endArea,.roadArea", function(){
		var $this = $(this);
		var flag = $this.data("id");
		mui.openWindow({
			id:"area.html",
			url:"../../html/area/area.html",
			extras:{
				flag:flag,
				sourceId:"publish-car.html"
			}
		});
	});
	
	$(".weight,.length").on("tap", function(){
		var domObj = $(this).data("domobj");
		var value = $(this).val();
		mui.openWindow({  
			id:"digital-keyboard.html",
			url:"../digital-keyboard/digital-keyboard.html",
			styles:{ 
				width:"100%",
				height:"50%",
				bottom:"0",
				background:"rgba(0,0,0,0.5)",
				zindex:99999
			},
			show:{  
				aniShow:"slide-in-bottom"
			},
			extras:{
				domObj:domObj,
				value:value
			}
		});
	});
	
	
	
});

function appendHtml(name, value){
	var len = $(".road-area-li").length;
	if(len == 4){
		$(".add-path").hide();
	}
	var html = "<li class='road-area-li'>";
	html += "<span class='img-content'><img src='../../images/car/road-icon.png'></span>";
	html += "<span class='content' style='height:100%;text-align: left;border-bottom: 1px solid rgba(0,0,0,.2);'>";
	if($.validateEmpty(name) && $.validateEmpty(value)){
			html += "<input type='text' data-id='road" + len + "' readonly='readonly' class='input-text roadArea' placeholder='请选择途径地' style='width:80%;height:100%;text-align: left;border-bottom: 1px solid rgba(0,0,0,.2);'>";
	} else{
		html += "<input type='text' data-value='"+value+"' value='"+name+"' data-id='road" + len + "' readonly='readonly' class='input-text roadArea' placeholder='请选择途径地' style='width:80%;height:100%;text-align: left;border-bottom: 1px solid rgba(0,0,0,.2);'>";	
	}
	html += "<span class='road-area' style='float:right;width: 20%;text-align: right;'>";
	html += "<img src='../../images/car/reduce-icon.png' style='width: 50%;max-width: 20px;'>";
	html += "</span>";
	html += "</span>";
	html += "</li>";
	$(".end-area").before(html);
}


/**
 * 页面加载完成才能注册该事件,因为该事件监听为下一个页面的fire方法触发
 * fire方法触发条件必须是页面加载完成才注册的事件监听
 */
function loaded(){
	//设置车辆类型事件监听
	window.addEventListener("setCarType", function(event){
		//通过event.detail可获得传递过来的参数内容
		var params = event.detail;
		$("#carType").data("id", params.carTypeId);
		$("#carType").val(params.carTypeName);
		var result = validator();
		if(result.code == 200){
			$("#publish-car-btn").removeClass("main-btn-color-off").addClass("main-btn-color-on");
		} else{
			$("#publish-car-btn").removeClass("main-btn-color-on").addClass("main-btn-color-off");
		}
	}, false);
	
	//设置装货日期事件监听
	window.addEventListener("setDate", function(event){
		//通过event.detail可获得传递过来的参数内容
		var params = event.detail;
		$("#loadingTime").val(params.date);
		var result = validator();
		if(result.code == 200){
			$("#publish-car-btn").removeClass("main-btn-color-off").addClass("main-btn-color-on");
		} else{
			$("#publish-car-btn").removeClass("main-btn-color-on").addClass("main-btn-color-off");
		}
	}, false);
	
	//地区事件监听
	window.addEventListener("setArea", function(event){
		//通过event.detail可获得传递过来的参数内容
		var params = event.detail;
		var areaId = params.areaId;
		var areaName = params.areaName;
		var flag = params.flag;
		$("input[data-id='" + flag + "']").val(areaName);
		$("input[data-id='" + flag + "']").data("value", areaId);
		var result = validator();
		if(result.code == 200){
			$("#publish-car-btn").removeClass("main-btn-color-off").addClass("main-btn-color-on");
		} else{
			$("#publish-car-btn").removeClass("main-btn-color-on").addClass("main-btn-color-off");
		}
	}, false);
	
	window.addEventListener("refresh", function(){
		$("input").val("");
	}, false);
	
	
	document.addEventListener("setDigital", function(event){
		$(event.detail.domObj).val(event.detail.value);
		var result = validator();
		if(result.code == 200){
			$("#publish-car-btn").removeClass("main-btn-color-off").addClass("main-btn-color-on");
		} else{
			$("#publish-car-btn").removeClass("main-btn-color-on").addClass("main-btn-color-off");
		}
	});
}

//验证所有输入框是否完整
function validator(){
	var result = {};
	result.code = 200;
	$("input[required='required']").each(function(){
		var $this = $(this);
		var _value = $this.val();
		if($.validateEmpty(_value)){
			result.code = 201;
			result.message = $this.attr("placeholder");
			return false;
		}
	});
	return result;
}

document.addEventListener("plusready", function(){
	var curWebView = plus.webview.currentWebview();
	var carSourceId = curWebView.carSourceId;
	if(!$.validateEmpty(carSourceId)){
		$(".mui-title").text("修改车源");
		initCarSource(carSourceId);
	}
	//发布
	$("#publish-car-btn").on("tap", function(){ 
		if($(this).hasClass("main-btn-color-on")){
			var params = {};
			params.beginArea = $("#startArea").data("value");
			params.beginAreaName = $("#startArea").val();
			params.endArea = $("#endArea").data("value");
			params.endAreaName = $("#endArea").val();
			params.loadingTime = $("#loadingTime").val();
			params.carType = $("#carType").data("id");
			params.weight = $(".weight").val();
			params.beginAddress = $("#startAddress").val();
			params.endAddress = $("#endAddress").val();
			if(!reg.number.test(params.weight)){
				$.toast("重量数据格式不正确");
				return false;
			}
			params.carLength = $(".length").val();
			if(!reg.number.test(params.carLength)){
				$.toast("车辆长度数据格式不正确");
				return false;
			}
			params.sendType = $(".sendType").data("id");
			var sourceChannelList = [];
			//途径地
			$(".roadArea").each(function(){
				var $this = $(this);
				var obj = {};
				obj.code = $this.data("value");
				obj.name = $this.val();
				sourceChannelList.push(obj);
			});
			params.sourceChannels = sourceChannelList;
			var url = null;
			if($.validateEmpty(carSourceId)){
				//新增
				url = base.api_carSource_publishCar;
			} else{
				//修改
				url = base.api_carSource_updateCarSource;
				params.id = carSourceId;
			}
			$.postAjax(url, params, {'Content-Type':'application/json'}, function(result){
				if($.validateEmpty(carSourceId)){
					console.log(JSON.stringify(result));
					var data = result.data;
					mui.openWindow({
						id:"publish-success.html",
						url:"../../html/publish-success.html",
						extras:{
							sourceId:"publish-car.html",
							entityId:data.id
						}
					}); 
				} else{
					$.toast("车源修改成功")
				}
			});
		}
	});
	
	
	function initCarSource(carSourceId){
		var url = base.api_carSource_findCarSource;
		var params = {};
		params.originId = 2;
		params.id = carSourceId;
		$.postAjax(url, params, {'Content-Type':'application/json'}, function(result){
			var data = result.data[0];
			if(!$.validateEmpty(data)){
				$("#startArea").data("value", data.begin_area);
				$("#startArea").val(data.begin_area_name);
				$("#startAddress").val(data.begin_address);
				$("#endArea").data("value", data.end_area);
				$("#endArea").val(data.end_area_name);
				$("#endAddress").val(data.end_address);
				$("#loadingTime").val(data.loading_time);
				$("#carType").data("id", data.car_type);
				$("#carType").val(data.car_type_name);
				$(".weight").val(data.weight);
				$(".length").val(data.car_length);
				var channel = data.channel;
				var channelName = data.channel_name;
				if(!$.validateEmpty(channel)){
					var arrays = channel.split(",");
					var arrayName = channelName.split("-");
					for(var i = 0;i < arrays.length;i++){
						appendHtml(arrayName[i], arrays[i]); 
					}
				}
				$(".sendType").data("id", data.send_type);
				$(".sendType").val(data.send_type_name);
				var obj = validator();
				if(obj.code == 200){
					$("#publish-car-btn").removeClass("main-btn-color-off").addClass("main-btn-color-on");
				}
			}
		});
	}
}, false);




