var listScroll;
var maxScrollY = 0;
var direction = null;
var loading = false;
function loaded () { 
	listScroll = new IScroll('.list-scroll', {  probeType: 3,scrollX: false, scrollY: true, mouseWheel: true });
	listScroll.on('scroll', update);
	listScroll.on('scrollEnd', end);
	listScroll.on('beforeScrollStart', start);
	
	window.addEventListener("refresh", function(event){
		var curWebView = plus.webview.currentWebview();
		curWebView.reload(true);
	}, false);
	
}
//滑动中
function update() {
	if(this.y >= 0){
		direction = "down";
		$(".pull-up").hide();
	} else{
		direction = "up";
		$(".pull-up").show();
	}
	if(direction == "down"){
		if(this.y >= 40){
			this.minScrollY = 40;
			$(".drop-down").text(tips.release_loading);
			loading = false;			
		} else{
			this.minScrollY = 0;
			loading = true;
			$(".drop-down").text(tips.pull_down_refresh);
		}
	} else if(direction == "up"){
		if(-this.y > (-maxScrollY + 40)){
			$(".pull-up").text(tips.release_loading);
			this.maxScrollY = maxScrollY - 40;
			loading = false;
		} else{
			loading = true;
			this.maxScrollY = maxScrollY;
			$(".pull-up").text(tips.pull_up_loading);
		}
	}
}
//滑动结束
function end(){
	if(direction == "down" && loading == false){
		loading = true;
		$(".drop-down").text(tips.loading);
		var params = {};
		curPage = 0;
		params.startRow = $.getStartRow(curPage);
		params.pageSize = $.getPageSize();
		params.originId = 2;
		$.postAjax(url, params, {'Content-Type':'application/json'}, function(result){
			var list = result.data;
			$(".drop-down").text(tips.pull_down_refresh);
			loading = false;
			handler(list, 0);
			listScroll.refresh();
		}, function(message){
			$(".drop-down").text(tips.pull_down_refresh);
			loading = false;
			listScroll.refresh();
		});
	} else if(direction == "up" && loading == false){
		loading = true;
		$(".pull-up").text(tips.loading);
		var params = {};
		params.startRow = $.getStartRow(++curPage);
		params.pageSize = $.getPageSize();
		params.originId = 2;
		$.postAjax(url, params, {'Content-Type':'application/json'}, function(result){
			var list = result.data;
			$(".pull-up").text(tips.pull_up_loading);
			loading = false;
			handler(list, 1);
			listScroll.refresh();
			$(".pull-up").hide();
		}, function(message){
			$(".pull-up").text(tips.pull_up_loading);
			loading = false;
			listScroll.refresh();
			$(".pull-up").hide();
		});
	}
}

//滑动开始
function start(){
	maxScrollY = this.maxScrollY;
}
document.addEventListener('touchmove', function (e) { e.preventDefault(); }, isPassive() ? {
	capture: false,
	passive: false
} : false);


var curPage = 0;
var url = base.api_collection_findCollection;
document.addEventListener("plusready", function(){
	var params = {};
	params.startRow = $.getStartRow(curPage);
	params.pageSize = $.getPageSize();
	initList(params, 0);
	
	$(".publish-car-source").on("tap", function(){
		mui.openWindow({ 
			id:"publish-car.html",
			url:"../../html/car/publish-car.html"
		});
	});
	
	$(".recommend-info").on("tap", "li", function(){
		var $this = $(this);
		var id = $this.data("id");
		var userType = $.getItem("userType");
		if(userType == 1){
			//货主
			mui.openWindow({
				id:"car-source-detail.html",
				url:"../../html/car/car-source-detail.html",
				extras:{ 
					carSourceId:id
				}
			});
		} else{ 
			//承运商
			mui.openWindow({ 
				id:"supply-detail.html",
				url:"../../html/supply/supply-detail.html",
				extras:{ 
					supplyId:id
				}
			});
		}
	});
	
	
}, false);


function deleteCarSource(carSourceId){
	var url = base.api_carSource_deleteCarSource;
	var params = {};
	params.carSourceId = carSourceId;
	$.getAjax(url, params, {}, function(result){
		$.toast("删除车源成功");
		var curWebView = plus.webview.currentWebview();
		curWebView.reload(true);
	});
}



/**
 * 列表初始化
 * @param {Object} params 请求参数
 * @param {Object} action 0表示清除列表然后重新append  1表示列表追加
 */
function initList(params, action){
	$.postAjax(url, params, null, function(result){
		var list = result.data; 
		handler(list, action);
		if(listScroll == null){
			setTimeout(function(){
				listScroll.refresh();
			},2000);	
		} else{
			listScroll.refresh();
		}
	});
}


function handler(list, action){
	if(action == 0){
		$(".recommend-info ul").empty();	
	}
	if(list.length == 0){
		if($(".recommend-info ul").find(".no-data").length == 0){
			$(".recommend-info ul").append("<li class='no-data'>"+ tips.no_more_data +"</li>");	
		}
		return false;
	}
	var userType = $.getItem("userType");
	$.each(list, function(index, element){
		var $this = element;
		var html = "<li data-id='" + $this.id + "' data-status='" + $this.status + "' data-statusname='"+$this.status_name+"'>";
		html += "<div class='title'><label class='publish-data'>发布于&nbsp;&nbsp;";
		if(userType == 1){
			//货主
			html += $this.create_time;
		} else if(userType == 2){
			//承运商
			html += $this.create_date;
		}
		
		html += "</label><label class='car-source-status'>" + $this.status_name + "</label></div>";
		html += "<div class='content'><div class='content-left'><img src='../../images/car/car-source.png'></div>";
		html += "<div class='content-right'><div class='area'>";
		html += $this.begin_area_name + "<span class='mui-icon mui-icon-arrowthinright'></span>";	
		html += $this.end_area_name + "</div>";	
		if(userType == 1){
			if(!$.validateEmpty($this.channel_name)){
				html += "<div class='road'>" + $this.channel_name + "</div>";	
			}
			html += "<div class='message'>" + $this.car_type_name + "/" + $this.car_length + "米/" + $this.weight + "吨</div>";
			html += "<div class='time'>" + $this.loading_time + "&nbsp;发车</div>";	
		} else if(userType == 2){
			html += "<div class='message'>" + $this.goods_name + "/" + $this.goods_type_name + $this.weight + "吨</div>";
			html += "<div class='time'>" + $this.loading_time + "&nbsp;装货</div>";
			if($.validateEmpty($this.price)){
				html += "<div class='price'>议价</div>";	
			} else{
				html += "<div class='price'>"+$this.price+"元/吨</div>";
			}
		}
		html += "</div></div>";
		html += "<div class='footer'>";
		html += "<a href='#' class='show-order-info'>查看相似</a>";
		html += "</div>";
		html += "</li>";
		$(".recommend-info ul").append(html);
	});
}





