
$.extend({
	calendar:function(sure){
		initDate();
		$("#scroller ul").on("click", ".bg", function(){
			if($(this).hasClass("disabled")){
				return false;
			}
			$("#scroller ul label .bg").removeClass("active");
			var $this = $(this);
			$this.addClass("active");
			var date = $this.data("date");
			if(typeof sure == "function"){
				sure(date);
			}
		});
		
	}
});

function initDate(){
	
	var curDate = new Date();
	var curYear = curDate.getFullYear();
	var curMonth = curDate.getMonth() + 1;
	
	var curDay = curDate.getDate();
	if(curMonth < 10) curMonth = "0" + curMonth;
	if(curDay < 10) curDay = "0" + curDay;
	$("#scroller ul").empty();
	hanlder(curYear);
	if(curMonth == 7){
		hanlder(curYear + 1);
	}
	myScroll.scrollToElement(document.querySelector('.show-active'), 0, null, false);
	$("#scroller div[data-date='" + (curYear + "-" + curMonth + "-" + curDay) + "']").addClass("active");
	
	
}

function hanlder(curYear){
	var date = new Date();
	var year = date.getFullYear();
	var month = date.getMonth() + 1;
	var day = date.getDate();
	for(var i = 1;i <= 12;i++){ //月份
		if(i < month) continue;
		$("#scroller ul").append("<li></li>");
		if(curYear == year && i == month){
			$("#scroller ul li:last").append("<div class='calendar-title show-active'>"+ (curYear + "年" + i + "月") +"</div>");	
		} else{
			$("#scroller ul li:last").append("<div class='calendar-title'>"+ (curYear + "年" + i + "月") +"</div>");
		}
		$("#scroller ul li:last").append("<div class='calendar-container'></div>");
		var count = getCountDay(curYear, i); //计算该月一共有多少天
		var week = getWeekDay(curYear, i, 1);  //计算当前月的1号是星期几
		var rows = parseInt((count - (7 - week)) / 7) + 2;
		for(var k = 0;k < rows; k++){
			var html = "<label style='color:#2c68f2;'></label><label></label><label></label><label></label><label></label><label></label><label style='color:#2c68f2;'></label>";
			$("#scroller ul li:last .calendar-container:last").append("<span>" + html + "</span>");	
		}
		var list = $("#scroller ul li:last .calendar-container:last").find("label");
		var index = 0;
		for(var m = week;m < list.length;m++){
			++index
			var monthTxt = null;
			if(i < 10){
				monthTxt= "0" + i;
			} else{
				monthTxt = i;	
			}
			var dayTxt = null;
			if(index < 10){
				dayTxt= "0" + index;
			} else{
				dayTxt = index;	
			}
			var curDate = new Date();
			
			var tmpDate = new Date();
			tmpDate.setFullYear(curYear);
			tmpDate.setMonth(i - 1);
			tmpDate.setDate(index);
			if(tmpDate.getTime() < curDate.getTime()){
				var txt = "<div class='bg disabled' style='color:#bbb' data-date='" + (curYear + "-" + monthTxt + "-" + dayTxt) + "'><div class='gregorian-calendar'>" + index + "</div>";
				txt += "<div class='lunar-calendar'>" + GetLunarDay(curYear, i, index) + "</div></div>";
			} else{
				var txt = "<div class='bg' data-date='" + (curYear + "-" + monthTxt + "-" + dayTxt) + "'><div class='gregorian-calendar'>" + index + "</div>";
				txt += "<div class='lunar-calendar'>" + GetLunarDay(curYear, i, index) + "</div></div>";	
			}
			
			$("#scroller ul li:last .calendar-container:last").find("label").eq(m).append(txt);
			if(index >= count){
				break;
			}
		}
	}
	myScroll.refresh();
}

/**
 * 获取某个月一共有多少天
 * @param {Object} year 年
 * @param {Object} month 月
 */
function getCountDay(year, month){
	//我们在构造日期对象时，4其实是实际构造的5月份，因为月份是从0开始的。
	//而第三个数0天数，要求最小是1号，比1号小的话，就成了你要的3月最后那一天了
	var date = new Date(year, month, 0);
	return date.getDate();
}
/**
 * 获取某个日期是星期几
 * @param {Object} year 年
 * @param {Object} month 月
 * @param {Object} date 日
 */
function getWeekDay(year, month, date){
	var date = new Date(year, month - 1, date);
	return date.getDay();
}