document.addEventListener("plusready", function(){
	//登陆事件
	$("#login-btn").on("tap", function(){
		var $this = $(this);
		if($this.hasClass("main-btn-color-on")){
			var mobilePhone = $("#mobile-phone").val();
			var password = $("#password").val();
			if(reg.phone.test(mobilePhone)){
				if(password.length < 6 || password.length > 12){
					$.toast("密码位数请保持在6到12位之间");
					return false;
				} else{
					var url = base.api_login;
					var params = {};
					params.mobilePhone = mobilePhone;
					params.password = md5(password);
					$.postAjax(url,params, null,function(result){
						//成功回调
						$.toast("登录成功");
						var data = result.data;
						$.setItem("userName", mobilePhone);
						$.setItem("userType", data.userType);
						$.setToken(data.token);
						var launchWebView = plus.webview.getLaunchWebview();
						mui.fire(launchWebView, "refresh");
						var personWebView = plus.webview.getWebviewById("html/personal-center/personal.html");
						if(personWebView != null){
							personWebView.reload(true);	
						}
						var changePasswordWebView = plus.webview.getWebviewById("change-password.html");
						if(changePasswordWebView != null){
							changePasswordWebView.close();
						}
						var settingWebView = plus.webview.getWebviewById("setting.html");
						if(settingWebView != null){
							settingWebView.reload(true);	
						}
						var orderWebView = plus.webview.getWebviewById("html/order/order-list.html");
						if(orderWebView != null){
							orderWebView.reload(true);	
						}
						mui.back();
					});
				}
			} else{
				$.toast("手机号码格式不正确");
			}
		}
	});
	
	//快捷登录界面获取动态码点击事件
	$(".li-label").on("tap", function(){
		var id = $(this).data("id");
		var $this = $(this);
		if(id == 1){
			var quickMobilePhone = $("#quick-mobile-phone").val();
			if(!reg.phone.test(quickMobilePhone)){
				$.toast("手机号码格式不正确");
				$(this).data("id", "0");
				return false;
			} else{
				var url = base.api_send_sms;
				var params = {};
				params.mobilePhone = quickMobilePhone;
				params.smsType = "1";
				$.postAjax(url, params, null, function(){
					$(this).data("id", "0");
					var count = 60;
					var timer = setInterval(function(){
						$(".li-label label").text(count + "s后重发");
						count--;
						if(count == -1){
							$(".li-label label").text("获取动态码");
							$this.data("id", "1");
							clearInterval(timer);
						}
					}, 1000);
				});
			}
		}
	});
	
	//快捷登录界面登录事件
	$("#quick-login-btn").on("tap", function(){
		var $this = $(this);
		if($this.hasClass("main-btn-color-on")){
			var quickMobilePhone = $("#quick-mobile-phone").val();
			if(!reg.phone.test(quickMobilePhone)){
				$.toast("手机号码格式不正确");
				return false;
			} else{
				var url = base.api_quick_login;
				var params = {};
				params.mobilePhone = quickMobilePhone;
				params.verifyCode = $("#verify-code").val();
				$.postAjax(url, params, null, function(result){
					$.toast("登录成功");
					var data = result.data; 
					$.setItem("userName", quickMobilePhone);
					$.setItem("userType", data.userType);
					$.setToken(data.token);
					var sourceWebView = plus.webview.getWebviewById("login.html");
					mui.fire(sourceWebView, "closeLoginWebView", null);
					mui.back();
				});
			}
		}
	});
}, false);


$(function(){
	//密码输入框输入事件监听
	$("input[type='password']").bind("input porpertychange", function(){
		var len = $(this).val().length;
		if(len > 0){
			var mobilePhone = $("#mobile-phone").val();
			if(!$.validateEmpty(mobilePhone)){
				$("#login-btn").removeClass("main-btn-color-off").addClass("main-btn-color-on");
			}
			$(".pwd-content").find("img").show();
		} else{
			$(".pwd-content").find("img").hide();
			$("#login-btn").removeClass("main-btn-color-on").addClass("main-btn-color-off");
		}
	});
	
	//手机号码输入框输入事件监听
	$("#mobile-phone").bind("input porpertychange", function(){
		var len = $(this).val().length;
		if(len > 0){
			var password = $("#password").val();
			if(!$.validateEmpty(password)){
				$("#login-btn").removeClass("main-btn-color-off").addClass("main-btn-color-on");
			}
		} else{
			$("#login-btn").removeClass("main-btn-color-on").addClass("main-btn-color-off");
		}
	});
	
	$("#quick-mobile-phone,#verify-code").on("tap", function(){
		var domObj = $(this).data("domobj");
		var value = $(this).value;
		mui.openWindow({  
			id:"digital-keyboard.html",
			url:"../digital-keyboard/digital-keyboard.html",
			styles:{ 
				width:"100%",
				height:"50%",
				bottom:"0",
				background:"rgba(0,0,0,0.5)", 
				zindex:99999
			},
			show:{  
				aniShow:"slide-in-bottom"
			},
			extras:{
				domObj:domObj,
				value:value
			}
		});
	});
	
	
	
	
	//快捷登录页面清除手机号码按钮事件
	$(".li-img").on("tap", "img", function(){
		$("#quick-mobile-phone").val("");
		$(".li-img img").hide();
		$(".li-label").css("color", "rgba(0,0,0,.2)").data("id", "0");
		$("#quick-login-btn").removeClass("main-btn-color-on").addClass("main-btn-color-off");
	});
	
	//清除图标点击事件
	$(".pwd-content").on("tap", ".clear", function(){
		$("input[type='password']").val("");
		$("#login-btn").removeClass("main-btn-color-on").addClass("main-btn-color-off");
	});
	
	//登录界面和快捷登录界面,界面关闭事件
	$("header").on("tap", "#closeImg,#quick-close-img", function(){
		mui.back();
	});
	
	//快捷登录页面账号密码登录
	$("#account-password-login").on("tap", function(){
		$("header").find("#quick-close-img").trigger("tap");
	});
	
	//跳转到快捷登录界面
	$(".footer").on("tap", "#quick-login", function(){
		mui.openWindow({
			id:"quick-login.html",
			url:"quick-login.html"
		});
	});
	//跳转到注册页面
	$("header").on("tap", ".register", function(){
		mui.openWindow({
			id:"select-role.html",
			url:"../register/select-role.html"
		});
	});
	
	$("#mobile-phone").on("tap", function(){
		var value = $(this).val();
		mui.openWindow({  
			id:"digital-keyboard.html",
			url:"../digital-keyboard/digital-keyboard.html",
			styles:{ 
				width:"100%",
				height:"50%",
				bottom:"0",
				background:"rgba(0,0,0,0.5)",
				zindex:99999
			},
			show:{  
				aniShow:"slide-in-bottom"
			},
			extras:{
				domObj:"#mobile-phone",
				value:value
			}
		});
	});
	
});

function loaded(){
	window.addEventListener("closeLoginWebView", function(event){
		var parameters = {};
		parameters.flag = "success";
		var personWebView = plus.webview.getWebviewById("html/personal-center/personal.html");
//		mui.fire(personWebView, "refresh", parameters);
		personWebView.reload(true);
		var settingWebView = plus.webview.getWebviewById("setting.html");
//		mui.fire(settingWebView, "refresh");
		settingWebView.reload(true);
		var curWebView = plus.webview.currentWebview();
		curWebView.close();
	}, false);
	
	
	document.addEventListener("setDigital", function(event){
		$(event.detail.domObj).val(event.detail.value);
		if(event.detail.domObj == "#quick-mobile-phone"){
			var len = event.detail.value.length;
			if(len > 0){
				$(".li-img img").show();
				$(".li-label").css("color", "#2c68f2").data("id", "1");
				var verifyCode = $("#verify-code").val();
				if(!$.validateEmpty(verifyCode)){
					$("#quick-login-btn").removeClass("main-btn-color-off").addClass("main-btn-color-on");
				}
			} else{
				$(".li-img img").hide();
				$(".li-label").css("color", "rgba(0,0,0,.2)").data("id", "0");
				$("#quick-login-btn").removeClass("main-btn-color-on").addClass("main-btn-color-off");
			}
		}  else if(event.detail.domObj == "#verify-code"){
			var len = event.detail.value.length;
			if(len > 0){
				var quickMobilePhone = $("#quick-mobile-phone").val();
				if(!$.validateEmpty(quickMobilePhone)){
					$("#quick-login-btn").removeClass("main-btn-color-off").addClass("main-btn-color-on");
				}
			} else{
				$("#quick-login-btn").removeClass("main-btn-color-on").addClass("main-btn-color-off");
			}
		}
		
	});
}
