var listScroll;
var maxScrollY = 0;
var direction = null;
var loading = false;
function loaded () { 
	listScroll = new IScroll('.list-scroll', {  probeType: 3,scrollX: false, scrollY: true, mouseWheel: true });
	listScroll.on('scroll', update);
	listScroll.on('scrollEnd', end);
	listScroll.on('beforeScrollStart', start);
	
	window.addEventListener("refresh", function(event){
		var curWebView = plus.webview.currentWebview();
		curWebView.reload(true);
	}, false);
}
//滑动中
function update() {
	if(this.y >= 0){
		direction = "down";
		$(".pull-up").hide();
	} else{
		direction = "up";
		$(".pull-up").show();
	}
	if(direction == "down"){
		if(this.y >= 40){
			this.minScrollY = 40;
			$(".drop-down").text(tips.release_loading);
			loading = false;			
		} else{
			this.minScrollY = 0;
			loading = true;
			$(".drop-down").text(tips.pull_down_refresh);
		}
	} else if(direction == "up"){
		if(this.pointY < 0){
			listScroll.refresh();
		} 
		if(-this.y > (-maxScrollY + 40)){
			$(".pull-up").text(tips.release_loading);
			this.maxScrollY = maxScrollY - 40;
			loading = false;
		} else{
			loading = true;
			this.maxScrollY = maxScrollY;
			$(".pull-up").text(tips.pull_up_loading);
		}
	}
}
//滑动结束
function end(){
	if(direction == "down" && loading == false){
		loading = true;
		$(".drop-down").text(tips.loading);
		var params = {};
		curPage = 0;
		params.startRow = $.getStartRow(curPage);
		params.pageSize = $.getPageSize();
		$.getAjax(url, params, null, function(result){
			var list = result.data;
			$(".drop-down").text(tips.pull_down_refresh);
			loading = false;
			handler(list, 0);
			listScroll.refresh();
		}, function(message){
			$(".drop-down").text(tips.pull_down_refresh);
			loading = false;
			listScroll.refresh();
		});
	} else if(direction == "up" && loading == false){
		loading = true;
		$(".pull-up").text(tips.loading);
		var params = {};
		params.startRow = $.getStartRow(++curPage);
		params.pageSize = $.getPageSize();
		$.getAjax(url, params, null, function(result){
			var list = result.data;
			$(".pull-up").text(tips.pull_up_loading);
			loading = false;
			handler(list, 1);
			listScroll.refresh();
			$(".pull-up").hide();
		}, function(message){
			$(".pull-up").text(tips.pull_up_loading);
			loading = false;
			listScroll.refresh();
			$(".pull-up").hide();
		});
	}
}

//滑动开始
function start(){
	maxScrollY = this.maxScrollY;
}
document.addEventListener('touchmove', function (e) { e.preventDefault(); }, isPassive() ? {
	capture: false,
	passive: false
} : false);


var curPage = 0;
var url = base.api_offer_findOffer;
document.addEventListener("plusready", function(){
	var params = {};
	params.startRow = $.getStartRow(curPage);
	params.pageSize = $.getPageSize();
	initList(params, 0);
	var curWebView = plus.webview.currentWebview();
	
	$(".recommend-info").on("tap", ".cancel-offer", function(event){
		event.stopPropagation();
		var $this = $(this);
		var offerId = $this.data("id");
		var url = base.api_offer_cancelOffer;
		var params = {};
		params.offerId = offerId;
		$.getAjax(url, params, null, function(result){
			$.toast("取消报价成功");
			curWebView.reload(true);
		});
	});
	
	$(".recommend-info").on("tap", ".delete-offer", function(event){
		event.stopPropagation();
		var $this = $(this);
		var btnArray = ['否','是']
		mui.confirm("是否确定要删除该报价?", "提示", btnArray, function(e){
			var index = e.index;
			if(index == 1){
				var offerId = $this.data("id");
				var url = base.api_offer_deleteOffer;
				var params = {};
				params.offerId = offerId;
				$.getAjax(url, params, null, function(result){
					$.toast("删除报价成功");
					curWebView.reload(true);
				});
			}
		});
	});
	
	$(".recommend-info").on("tap", ".update-offer", function(event){
		event.stopPropagation();
		var $this = $(this);
		var supplyId = $this.data("supplyid");
		mui.openWindow({
			id:"bidding.html",
			url:"../../html/offer/bidding.html",
			extras:{
				supplyId:supplyId
			}
		});
	});
	
	$(".recommend-info").on("tap", ".supply-detail", function(event){
		event.stopPropagation();
		var $this = $(this);
		var supplyId = $this.data("id");
		mui.openWindow({
			id:"supply-detail.html",
			url:"../../html/supply/supply-detail.html",
			extras:{
				supplyId:supplyId
			}
		});
	});
	
	$(".recommend-info").on("tap", "li", function(){
		var $this = $(this);
		var supplyId = $this.data("supplyid");
		mui.openWindow({ 
			id:"supply-detail.html",
			url:"../../html/supply/supply-detail.html",
			extras:{ 
				supplyId:supplyId
			}
		});
	});
	
	$(".recommend-info").on("tap", ".footer", function(event){
		//点击footer阻止事件穿透跳转到货源详情列表,避免造成误会
		event.stopPropagation();
	});
	
	$(".recommend-info").on("tap", ".show-order", function(event){
		event.stopPropagation();
		var $this = $(this);
		var orderId = $this.data("orderid");
		mui.openWindow({
			id:"order-detail.html",
			url:"../../html/order/order-detail.html",
			extras:{
				orderId:orderId
			}
		});
	});
	
}, false);





/**
 * 列表初始化
 * @param {Object} params 请求参数
 * @param {Object} action 0表示清除列表然后重新append  1表示列表追加
 */
function initList(params, action){ 
	$.getAjax(url, params, null, function(result){
		var list = result.data; 
		handler(list, action); 
		if(listScroll == null){
			setTimeout(function(){
				listScroll.refresh();
			},2000);
		} else{
			listScroll.refresh();
		}
		
	});
}


function handler(list, action){
	if(action == 0){
		$(".recommend-info ul").empty();	
	}
	if(list.length == 0){
		if($(".recommend-info ul").find(".no-data").length == 0){
			$(".recommend-info ul").append("<li class='no-data'>"+ tips.no_more_data +"</li>");	
		}
		return false;
	}
	$.each(list, function(index, element){
		var $this = element;
		var html = "<li data-supplyid = '"+$this.id+"'>";
		html += "<div class='title'><label class='publish-data'>报价于&nbsp;&nbsp;";
		html += $this.offer_create_time + "</label><label class='supply-status'>" + $this.offer_status_name + "</label></div>";
		html += "<div class='content'><div class='content-left'><img src='../../images/supply/supply-icon.png'></div>";
		html += "<div class='content-right'><div class='area'>";
		html += $this.begin_area_name + "<span class='mui-icon mui-icon-arrowthinright'></span>";	
		html += $this.end_area_name + "</div>";	
		html += "<div class='message'>" + $this.goods_name + "/" + $this.goods_type_name + "/" + $this.weight + "吨</div>";
		html += "<div class='time'>" + $this.loading_time + "&nbsp;装货</div>";
		if($this.price == null || this.price == 0){
			html += "<div class='price'>面议</div>";
		} else{
			html += "<div class='price'>" + $this.price + "元/吨</div>";	
		}
		
		html += "</div></div>";
		html += "<div class='bidding'>";
		html += "<span>报价:<font color='FF5053'>"+$this.offer_price+"</font> 元/吨</span>";
		html += "<span style='margin-left:20px;'>预计装货:"+ $this.loading_time +"天</span>";
		html += "</div>";
		html += "<div class='footer'>";
		if($this.offer_status == offerStatus.Bidding.value){ 
			//竞价中
			html += "<a href='#' class='update-offer' data-supplyid = '"+$this.id+"'>再次报价</a>";
			html += "<a href='#' class='cancel-offer' data-id='"+$this.offer_id+"'>取消报价</a>";	
		} else if($this.offer_status == offerStatus.BiddingFailed.value || $this.offer_status == offerStatus.Invalid.value){
			//报价失败或者已失效
			html += "<a href='#' class='delete-offer' data-id='"+$this.offer_id+"'>删除报价</a>";
		} else if($this.offer_status == offerStatus.BiddingSuccess.value){
			//报价成功
			html += "<a href='#' class='show-order' data-orderid='"+$this.order_id+"'>查看订单</a>";
			html += "<a href='#' class='supply-detail' data-id='"+$this.id+"'>货源详情</a>";
		} 
		html += "</div>";
		html += "</li>";
		$(".recommend-info ul").append(html);
	});
}





