var curPage = 0;
var url = base.api_order_orderList;

var myScroll;
var listScroll;
var maxScrollY = 0;
var direction = null;
var loading = false;
var userType  =$.getItem("userType");
function loaded () {
	myScroll = new IScroll('#wrapper', { scrollX: true, scrollY: false, mouseWheel: true });
	listScroll = new IScroll('.list-scroll', {probeType: 3,scrollX: false, scrollY: true, mouseWheel: true });
	listScroll.on('scroll', update);
	listScroll.on('scrollEnd', end);
	listScroll.on('beforeScrollStart', start);
	
	/*var headerHeight = $(".header").height();
	var wrapperHeight = $("#wrapper").height();
	var windowH = $(window).height();
	var ulHeight = $(".recommend-info ul").height();
	if(ulHeight < (windowH - headerHeight - wrapperHeight - 1)){
		$(".recommend-info ul").css("min-height", windowH - headerHeight - wrapperHeight);
	}*/
}
document.addEventListener('touchmove', function (e) { e.preventDefault(); }, isPassive() ? {
	capture: false,
	passive: false
} : false);
	
function update(){
	if(this.y >= 0){
		direction = "down";
		$(".pull-up").hide();
	} else{
		direction = "up";
		$(".pull-up").show();
	}
	if(direction == "down"){
		if(this.y >= 40){
			this.minScrollY = 40;
			$(".drop-down").text(tips.release_loading);
			loading = false;			
		} else{
			this.minScrollY = 0;
			loading = true;
			$(".drop-down").text(tips.pull_down_refresh);
		}
	} else if(direction == "up"){
		if(this.pointY < 0){
			listScroll.refresh();
		}
		if(-this.y > (-maxScrollY + 40)){
			$(".pull-up").text(tips.release_loading);
			this.maxScrollY = maxScrollY - 40;
			loading = false;
		} else{
			loading = true;
			this.maxScrollY = maxScrollY;
			$(".pull-up").text(tips.pull_up_loading);
		}
	}
}
	
function end(){
	if(direction == "down" && loading == false){
		loading = true;
		$(".drop-down").text(tips.loading);
		var params = {};
		curPage = 0;
		params.startRow = $.getStartRow(curPage);
		params.pageSize = $.getPageSize();
		$.postAjax(url, params, {'Content-Type':'application/json'}, function(result){
			var list = result.data;
			$(".drop-down").text(tips.pull_down_refresh);
			loading = false;
			handler(list, 0);
			listScroll.refresh();
		}, function(message){
			$(".drop-down").text(tips.pull_down_refresh);
			loading = false;
			listScroll.refresh();
		});
	} else if(direction == "up" && loading == false){
		loading = true;
		$(".pull-up").text(tips.loading);
		var params = {};
		params.startRow = $.getStartRow(++curPage);
		params.pageSize = $.getPageSize();
		$.postAjax(url, params, {'Content-Type':'application/json'}, function(result){
			var list = result.data;
			$(".pull-up").text(tips.pull_up_loading);
			loading = false;
			handler(list, 1);
			listScroll.refresh();
			$(".pull-up").hide();
		}, function(message){
			$(".pull-up").text(tips.pull_up_loading);
			loading = false;
			listScroll.refresh();
			$(".pull-up").hide();
		});
	}		
}
	
function start(){
	maxScrollY = this.maxScrollY;
}

document.addEventListener("plusready", function(){
	var params = {};
	params.startRow = $.getStartRow(curPage);
	params.pageSize = $.getPageSize();
	var token = $.getToken();
	if(token != null){
		initList(params, 0);	
	}
	
	
	$(".recommend-info").on("tap", ".logistics", function(event){
		event.stopPropagation();
		mui.alert("该功能暂未开发");
	});
	
	$(".recommend-info").on("tap", "li", function(event){
		var $this = $(this);
		var orderId = $this.data("id");
		mui.openWindow({
			id:"order-detail.html",
			url:"../../html/order/order-detail.html",
			extras:{
				orderId:orderId
			}
		});
	});
	
	$("#scroller").on("tap", "li", function(){
		var $this = $(this);
		$("#scroller").find("label").removeClass("active");
		$this.find("label").addClass("active");
		var status = $this.data("status");
		console.log(status);
		var params = {};
		params.status = status;
		var curPage = 0;
		params.startRow = $.getStartRow(curPage);
		params.pageSize = $.getPageSize();
		initList(params, 0);
	});
	
	
	
}, false);

/**
 * 订单列表初始化
 * @param {Object} params 请求参数
 * @param {Object} action 0表示清除列表然后重新append  1表示列表追加
 */
function initList(params, action){
	$.postAjax(url, params, {'Content-Type':'application/json'}, function(result){
		var list = result.data;  
		handler(list, action);
		if(listScroll == null){
			setTimeout(function(){
				listScroll.refresh();	
			}, 2000);
		} else{
			listScroll.refresh();	
		}
			
	});
}

function handler(list, action){ 
	if(action == 0){
		$(".recommend-info ul").empty();	
	} 
	if(list.length == 0){ 
		if($(".recommend-info ul").find(".no-data").length == 0){
			$(".recommend-info ul").append("<li class='no-data'>"+ tips.no_more_data +"</li>");	
		}
		return false;
	}
	$.each(list, function(index, element){
		var $this = element;
		var html = "<li data-id='" + $this.order_id + "'>";
		html += "<div class='top'>";
		var orderType = $this.order_type;	//1：货找车   2：车找货
		if(orderType == 1){
			html += "<span><img src='../../images/car/my-car-source-icon.png'>&nbsp;&nbsp;";
			html += $this.enterprise_carrier_name;	
			html += "</span>";
		} else if(orderType == 2){
			html += "<span><img src='../../images/car/my-car-source-icon.png'>&nbsp;&nbsp;";
			html += $this.enterprise_owner_name;	
			html += "</span>"; 
		}
		html += "<span class='order-status'>" + $this.order_status_name + "</span>";
		html += "</div>";
		html += "<div class='middle'>";
		if(orderType == 1){
			html += "<span class='middle-left'><img src='../../images/car/car-source-icon.png'></span>";
		} else if(orderType == 2){
			html += "<span class='middle-left'><img src='../../images/supply/supply-icon.png'></span>";
		}
		html += "<span class='middle-right'>";
		html += "<label>" + $this.begin_area_name;
		html += "<span class='mui-icon mui-icon-arrowthinright'></span>";
		html += $this.end_area_name + "</label>";
		if(orderType == 1){
			html += "<label>" + $this.car_type_name + "/" + $this.car_length + "米/" + $this.weight + "吨</label>";
			if($this.channel_name != null){
				html += "<label>途径:" + $this.channel_name + "</label>";	
			}
		} else if(orderType == 2){ 
			html += "<label>" + $this.goods_name + "/" + $this.goods_type_name + "/" + $this.weight + "吨</label>";
			if($this.supply_price == 0 || $this.supply_price == null){
				html += "<label>面议</label>";
			} else{
				html += "<label>￥" + $this.price + "元/吨</label>";	
			}
		}
		html += "</span></div>";
		html += "<div class='bottom'>"; 
		html += "<span class='logistics'>查看物流</span>";
		html += "</div></li>";
		$(".recommend-info ul").append(html);
	});
}