$(function() {
	$(".back").on("tap", function() {
		mui.back();
	});
	
	$(".qualification-certification").on("tap", function(){
		mui.openWindow({
			id:"qualification-certification.html",
			url:"qualification-certification.html"
		});
	});
	
});

document.addEventListener("plusready", function(){
	$(".header").on("tap", function() {
		// 弹出系统选择按钮框
		var btnArray = [{
			title: "拍照"
		}, {
			title: "从手机相册选择"
		}];
		plus.nativeUI.actionSheet({
			cancel: "取消",
			buttons: btnArray
		}, function(e) {
			var index = e.index;
			if(index == 1) {
				//拍照
				var camera = plus.camera.getCamera();
				camera.captureImage(function(e) {
					//拍照操作成功回调
					plus.io.resolveLocalFileSystemURL(e, function(entry) {
						var imgSrc = entry.toLocalURL();
						uploadImg(imgSrc);
					}, function(e) {
						$.toast("读取拍照文件错误");
					});
				}, function(ex) {
					//拍照操作失败回调
					$.toast("拍照操作失败");
				}, {
					//摄像头拍照参数
					//可设置具体文件名（如"_doc/camera/a.jpg"）；也可只设置路径，以"/"结尾则表明是路径（如"_doc/camera/"）。
					//如未设置文件名称或设置的文件名冲突则文件名由程序程序自动生成。
					filename: "_doc/camera/"
				});
			} else if(index == 2) {
				//从手机相册选择
				plus.gallery.pick(function(path) {
					uploadImg(path);
				}, function(e) {
					
				});
			}
		});
	});

	//获取用户信息
	init();
}, false);

function init() {
	var url = base.api_enterpriseUser_findEnterpriseUserInfo;
	$.getAjax(url, null, null, function(result) {
		var data = result.data;
		$(".real-name").text(data.realName);
		$(".user-name-tel").text(data.userName);
		$(".header-img img").attr("src", imgBaseURL + data.userHead);
		if(data.isAppr != 0 && !$.validateEmpty(data.isAppr)){ 
			$(".is-appr").text("已认证");	
		}
	});
}

//上传文件
function uploadImg(imgPath) {
	$.showLoading();
	var url = base.api_enterpriseUser_uploadHeader;
	var task = plus.uploader.createUpload(url, {
		method: "post"
	}, function(upload, status) {
		if(status == 200) {
			var responseText = upload.responseText;
			if($.validateEmpty(json)){
				var json = JSON.parse(responseText);	
				if(json.code == 200){
					$(".header-img").find("img").attr("src", imgPath);
					mui.toast("上传完成");
					var personWebView = plus.webview.getWebviewById("html/personal-center/personal.html");
					if(personWebView != null){
						personWebView.reload(true);	
					}
					var settingWebView = plus.webview.getWebviewById("setting.html");
					if(settingWebView != null){
						settingWebView.reload(true);	
					}
					
				} else{
					mui.toast(json.message);
				}
			} else{
				$.toast("上传失败");
			}
		} else {
			mui.alert("上传失败");
		}
		$.closeLoading();
	});
	task.addFile(imgPath, {
		key: "multipartFile"
	});
	task.addData("token", $.getToken());
	task.start();
}