$(function(){
	
	$("#weight,#price").on("tap", function(){
		var domObj = $(this).data("domobj");
		var value = $(this).val();
		mui.openWindow({  
			id:"digital-keyboard.html",
			url:"../digital-keyboard/digital-keyboard.html",
			styles:{ 
				width:"100%",
				height:"50%",
				bottom:"0",
				background:"rgba(0,0,0,0.5)",
				zindex:99999
			},
			show:{  
				aniShow:"slide-in-bottom"
			},
			extras:{
				domObj:domObj,
				value:value
			}
		});
	});
	
	//数据输入事件
	$("#supplyName").bind("input porpertychange", function(){
		var result = validator();
		console.log(JSON.stringify(result));
		if(result.code == 200){
			$("#publish-supply-btn").removeClass("main-btn-color-off").addClass("main-btn-color-on");
		} else{
			$("#publish-supply-btn").removeClass("main-btn-color-on").addClass("main-btn-color-off");
		}
	});
	
	//装货地和卸货地点击事件
	$(".ul-css").on("tap", "#startArea,#endArea", function(){
		var $this = $(this);
		var flag = $this.data("id");
		mui.openWindow({
			id:"area.html",
			url:"../../html/area/area.html",
			extras:{
				flag:flag,
				sourceId:"publish-supply.html"
			}
		});
	});
	
	//装货日期点击事件
	$("#loadingTime").on("tap", function(){
		mui.openWindow({
			id:"calendar.html",
			url:"../../html/calendar/calendar.html",
			extras:{
				sourceId:"publish-supply.html"
			}
		});
	});
	
	//货物类型点击事件
	$("#supplyType").on("tap", function(){
		mui.openWindow({
			id:"supply-type-list.html",
			url:"supply-type-list.html",
			extras:{
				sourceId:"publish-supply.html"
			}
		});
	});
	
	
	
});

//验证所有输入框是否完整
function validator(){
	var result = {};
	result.code = 200;
	$("input[required='required']").each(function(){
		var $this = $(this);
		var _value = $this.val();
		if($.validateEmpty(_value)){
			result.code = 201;
			result.message = $this.attr("placeholder");
			return false;
		}
	});
	return result;
}

function loaded(){
	//地区事件监听
	window.addEventListener("setArea", function(event){
		//通过event.detail可获得传递过来的参数内容
		var params = event.detail;
		var areaId = params.areaId;
		var areaName = params.areaName;
		var flag = params.flag;
		$("input[data-id='" + flag + "']").val(areaName);
		$("input[data-id='" + flag + "']").data("value", areaId);
		var result = validator();
		if(result.code == 200){
			$("#publish-supply-btn").removeClass("main-btn-color-off").addClass("main-btn-color-on");
		} else{
			$("#publish-supply-btn").removeClass("main-btn-color-on").addClass("main-btn-color-off");
		}
	}, false);
	
	
	//设置装货日期事件监听
	window.addEventListener("setDate", function(event){
		//通过event.detail可获得传递过来的参数内容
		var params = event.detail;
		$("#loadingTime").val(params.date);
		var result = validator();
		if(result.code == 200){
			$("#publish-supply-btn").removeClass("main-btn-color-off").addClass("main-btn-color-on");
		} else{
			$("#publish-supply-btn").removeClass("main-btn-color-on").addClass("main-btn-color-off");
		}
	}, false);
	
	
	//设置货物类型事件监听
	window.addEventListener("setSupplyType", function(event){
		//通过event.detail可获得传递过来的参数内容
		var params = event.detail;
		$("#supplyType").data("id", params.carTypeId);
		$("#supplyType").val(params.carTypeName);
		var result = validator();
		if(result.code == 200){
			$("#publish-supply-btn").removeClass("main-btn-color-off").addClass("main-btn-color-on");
		} else{
			$("#publish-supply-btn").removeClass("main-btn-color-on").addClass("main-btn-color-off");
		}
	}, false);
	
	window.addEventListener("refresh", function(){
		$("input").val("");
	}, false);
	
	document.addEventListener("setDigital", function(event){
		$(event.detail.domObj).val(event.detail.value);
		var result = validator();
		if(result.code == 200){
			$("#publish-supply-btn").removeClass("main-btn-color-off").addClass("main-btn-color-on");
		} else{
			$("#publish-supply-btn").removeClass("main-btn-color-on").addClass("main-btn-color-off");
		}
	});
	
}

document.addEventListener("plusready", function(){
	var curWebView = plus.webview.currentWebview();
	var supplyId = curWebView.supplyId;
	if(!$.validateEmpty(supplyId)){
		$(".mui-title").text("修改货源");
		initSupply(supplyId);
	}
	
	//发布
	$("#publish-supply-btn").on("tap", function(){
		if($(this).hasClass("main-btn-color-on")){
			var params = {};
			params.beginArea = $("#startArea").data("value");
			params.beginAreaName = $("#startArea").val();
			params.endArea = $("#endArea").data("value");
			params.endAreaName = $("#endArea").val();
			params.loadingTime = $("#loadingTime").val();
			params.goodsType = $("#supplyType").data("id");
			params.weight = $("#weight").val();
			params.beginAddress = $("#startAddress").val();
			params.endAddress = $("#endAddress").val();
			if(!reg.number.test(params.weight)){
				$.toast("重量数据格式不正确");
				return false;
			} 
			params.goodsName = $("#supplyName").val();
			params.price = $("#price").val();
			if(!$.validateEmpty(params.price)){
				if(!reg.number.test(params.price)){
					$.toast("价格数据格式不正确");
					return false;
				}
			} else{
				//面议
				params.price = 0;
			}
			
			var url = null;
			if($.validateEmpty(supplyId)){
				//新增
				url = base.api_supply_publishSupply;
			} else{
				//修改
				url = base.api_supply_updateSupply;
				params.id = supplyId;
			}
			$.postAjax(url, params, {'Content-Type':'application/json'}, function(result){
				if($.validateEmpty(supplyId)){
					console.log(JSON.stringify(result));
					var data = result.data;
					mui.openWindow({
						id:"publish-success.html",
						url:"../../html/publish-success.html",
						extras:{
							sourceId:"publish-supply.html",
							entityId:data.id
						}
					}); 	
				} else{
					$.toast("货源修改成功");
				}
			});
		}
	});
	
	function initSupply(supplyId){
		var url = base.api_supply_findSupply;
		var params = {};
		params.originId = 2;
		params.id = supplyId;
		$.postAjax(url, params, {'Content-Type':'application/json'}, function(result){
			var data = result.data[0];
			if(!$.validateEmpty(data)){
				$("#startArea").data("value", data.begin_area);
				$("#startArea").val(data.begin_area_name);
				$("#startAddress").val(data.begin_address);
				$("#endArea").data("value", data.end_area);
				$("#endArea").val(data.end_area_name);
				$("#endAddress").val(data.end_address);
				$("#loadingTime").val(data.loading_time);
				$("#supplyType").data("id", data.goods_type);
				$("#supplyType").val(data.goods_type_name); 
				$("#weight").val(data.weight);
				$("#supplyName").val(data.goods_name);
				if(data.price != 0){
					$("#price").val(data.price);	
				}
				var obj = validator();
				if(obj.code == 200){
					$("#publish-supply-btn").removeClass("main-btn-color-off").addClass("main-btn-color-on");
				}
			}
		});
	}
	
}, false);

