document.addEventListener("plusready", function(){
	var userType = $.getItem("userType");
	if(userType == 1){
		$(".offer").text("查看报价");
		$(".bidding").hide();
	}
	
	var curWebView = plus.webview.currentWebview();
	var supplyId = curWebView.supplyId;
	var params = {};
	params.supplyId = supplyId;
	var url = base.api_supply_findSupplyDetail;
	$.getAjax(url, params, null, function(result){ 
		var data = result.data;
		if(data != null){
			$(".begin-area-name").text(data.begin_area_name);
			$(".end-area-name").text(data.end_area_name);
			$(".loading-time").text(data.loading_time); 
			$(".goods-name").text(data.goods_name);   
			$(".goods-type-name").text(data.goods_type_name);   
			$(".goods-type-name-label").css("height", $(".goods-type-name").height() + 6);
			$(".weight").text(data.weight + "吨");
			if($.validateEmpty(data.price)){    
				$(".price").text("议价");       
			} else{
				$(".price").text(data.price + "元/吨");
			}
			$(".create-time").text(data.create_date);
			if(!$.validateEmpty(data.remarks)){
				$(".remarks").text(data.remarks);	
			}
			$(".enterprise-user-name").text(data.real_name);
			$(".user-head").attr("src", imgBaseURL + data.user_head);
			if(supplyStatus.PendingOrder.value == data.status){
				//待接单
				$(".status-icon").attr("src", "../../images/status/PendingOrder.png");
			} else if(supplyStatus.Bidding.value == data.status){
				//竞价中
				$(".status-icon").attr("src", "../../images/status/Bidding.png");
			} else if(supplyStatus.UnLoading.value == data.status){
				//待装货
				$(".status-icon").attr("src", "../../images/status/Trade.png"); 
			}
			if(data.collection_status == 0){
				$(".collection").find("img").attr("src", "../../images/person-center/collection.png");
				$(".collection").data("status", 1);
			} else{ 
				$(".collection").find("img").attr("src", "../../images/person-center/star.png");
				$(".collection").data("status", 0);
			}    
			if($.validateEmpty(data.volume)){
				$(".volume").text("成交量0次");	
			} else{
				$(".volume").text("成交量" + data.volume + "次");
			}
			$(".offer").data("status", data.status);
		} 
	});
	
	$(".offer").on("tap", function(){
		if(userType == 1){
			//货主
			mui.openWindow({
				id:"bidding-list.html",
				url:"../offer/bidding-list.html",
				extras:{
					supplyId:supplyId
				}
			});
		} else{
			//承运商
			var status = $(this).data("status");
			if(supplyStatus.PendingOrder.value != status && supplyStatus.Bidding.value != status){
				$.toast("只有货源状态是待接单和竞价中才能报价");
				return false;
			}
			mui.openWindow({
				id:"bidding.html",
				url:"../offer/bidding.html",
				extras:{
					supplyId:supplyId
				}
			});
		}
	});
	
	$(".bidding").on("tap", function(){
		mui.openWindow({
			id:"offer.html",
			url:"../../html/offer/offer.html"
		});
	});
	
	//联系客服
	$(".link-service").on("tap", function(){
		$.dialService(); 
	});
	
	$(".collection").on("tap", function(){
		var $this = $(this);
		var url = base.api_collection_collectionResource;
		var params = {};
		params.resourceId = supplyId;
		var status = $this.data("status");
		params.status = status;
		$.postAjax(url, params, null, function(){
			if(status == 0){
				$this.find("img").attr("src", "../../images/person-center/collection.png");
				$this.data("status", 1);
				$.toast("收藏成功");
			} else{
				$this.find("img").attr("src", "../../images/person-center/star.png");
				$.toast("取消收藏成功");
				$this.data("status", 0);
			}
			var launchWebView = plus.webview.getLaunchWebview();
			mui.fire(launchWebView, "refresh");
		});
	});
}, false);